## org.apache.batik.util.io
Class StreamNormalizingReader.UTF8DecoderFactory

    java.lang.Object
      org.apache.batik.util.io.StreamNormalizingReader.UTF8DecoderFactory

All Implemented Interfaces:
  StreamNormalizingReader.CharDecoderFactory

Enclosing class:
  StreamNormalizingReader

protected static class StreamNormalizingReader.UTF8DecoderFactory
extends java.lang.Object
implements StreamNormalizingReader.CharDecoderFactory

To create a UTF8Decoder.

Constructor Summary
`protected` `StreamNormalizingReader.UTF8DecoderFactory()`

Method Summary
`CharDecoder` `createCharDecoder(java.io.InputStream is)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StreamNormalizingReader.UTF8DecoderFactory

    protected StreamNormalizingReader.UTF8DecoderFactory()

Method Detail

### createCharDecoder

    public CharDecoder createCharDecoder(java.io.InputStream is)
                                  throws java.io.IOException

  Specified by:
    `createCharDecoder` in interface `StreamNormalizingReader.CharDecoderFactory`
  Throws:
    `java.io.IOException`

Copyright © 2004 Apache Software Foundation. All Rights Reserved.